package de.fhw.komponentenarchitekturen.knauf.strutsbasics;

import java.io.Serializable;
import java.util.Iterator;
import java.util.Vector;

/**
 * @author Wolfgang Knauf
 * Diese Klasse enthlt die Historie fr alle Berechnungen bisher.
 * 
 * Muss @see="java.io.Serializable" implementieren, da der JBoss sonst
 * ein "request.setAttribute()" nicht zult !
 */
public class Historie implements Serializable
{
  /**Serialisierungs-ID, ist ntig da das Interface "java.io.Serializable" implementiert wird.
   * 
   */
  private static final long serialVersionUID = 1L;
  
  /**Dieser Vektor enthlt alle bisher durchgefhrten 
   * Berechnungen als Objekte "Seitenlaengen".
   */
  private Vector<Seitenlaengen> vectorBerechnungen = new Vector<Seitenlaengen>();
  
  
  /**Hinzufgen eines neuens Satzes von Seitenlngen.
   * 
   * @param seitenlaengeAktuell Die zur Collection zuzufgende
   * Seitenlnge
   */
  public void addSeitenlaenge (Seitenlaengen seitenlaengeAktuell)
  {
  	this.vectorBerechnungen.add( seitenlaengeAktuell);
  }
 
  /**Erzeugen eines Iterators ber die Liste.
   * @return Liefert nur vectorBerechnungen.iterator() zurck.
   * 
   * MUSS hier "getIterator" heien, da per Expression-Language auf
   * die Property zugegriffen wird und diese keine Methode "iterator()"  
   * finden wrde :-(.
   */
  public Iterator<Seitenlaengen> getIterator()
  {
    Iterator<Seitenlaengen> iterator = this.vectorBerechnungen.iterator();
    return iterator;
  }
  
  /**Abrufen der Anzahl Items. Muss gem Property-Syntax definiert werden
   * damit per JSP-EL abrufbar.
   * 
   * @return Anzahl der Items
   */
  public int getSize()
  {
    return this.vectorBerechnungen.size();
  }
}
